# Subfile for cmaketemplate :
#     Generate a .cpp file with given resource file
#

include_directories(
    ${CMAKE_TEMPLATE_PATH}/resource #bad but necessary for resource.h
    )

add_executable(SparrowResource ${CMAKE_TEMPLATE_PATH}/resource/main.cpp)

#SET (RESOURCE_PATH ${CMAKE_CURRENT_SOURCE_DIR}${RESOURCE_DIRS})
#MESSAGE(${RESOURCE_PATH})

#SET(CMAKE_VERBOSE_MAKEFILE ON)

add_custom_command(
    OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/${RESOURCE_DST_FILE}
    COMMAND SparrowResource
    ARGS ${CMAKE_CURRENT_SOURCE_DIR}/${RESOURCE_DST_FILE} ${PROJECT_SOURCE_DIR} ${RES_SRC_FILE}
    DEPENDS ${RES_SRC_FILE}
    COMMENT "Generating resource file"
    )
